# frozen_string_literal: true

# Cola de moderación de ActivityPub
class ModerationQueueController < ApplicationController
  before_action :authenticate_usuarie!

  breadcrumb -> { current_usuarie.email }, :edit_usuarie_registration_path
  breadcrumb 'sites.index', :sites_path, match: :exact

  # Cola de moderación viendo todo el sitio
  def index
    dummy_data
    breadcrumb I18n.t('moderation_queue.index.title'), ''
  end

  # Perfil remoto de usuarie
  def remote_profile
    dummy_data
  end

  # todon.nl está usando /api/v2/instance
  # mauve.moe usa /api/v1/instance
  def instances
    dummy_data
  end
end
